<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo(" Operador: $nomeOperador<br>");
$material = $_COOKIE['material'];
$tipopesquisa = $_COOKIE['tipo'];
$controle=$sessao->getVar('controle');//se é fazenda ou produtor
$rotuloCliente='Cliente';
$rotuloProdutor=$controle;
if($tipopesquisa=='PESQUISA'):
   $rotuloCliente='Pesquisador';
   $rotuloProdutor='Orientado';
endif;
$nivel=$sessao->getVar('nivel');

switch ($tela):
    case 'incluir':
        //$idCliente=$_POST['idCliente'];
        //if (isset($_GET['id'])):
		if($nivel=='PRODUTOR'):
		  $idCliente=$sessao->getVar('idCliente');
		  $controle='PRODUTOR';	
		  //echo("logo no inicio============ idCliente=$idCliente<br>");
        else:
	        $idCliente = $_GET['id'];
			$sessao->setVar('idCliente', $idCliente);//grava a ida do cliente na sessao
		    $controle=$sessao->getVar('controle');
		endif;
		
		
		
		//echo("CASE INCLUIRiiiiiiiiiiiiiid cliente=  $idCliente id cliente1=  $idCliente1 <br>");
	    $duplicado = FALSE;
        if (isset($_POST['cadastrar'])):
		  
          //echo '<h2>Cadastro de '. $controle.'</h2>';
		  
		  
			//echo("ao salvar============ controle=$controle  nivel=$nivel idCliente=$idCliente<br>");
		  
		    $nomeProdutor= strtoupper($_POST['nomeProdutor']);
			//Se estou cadatrando uma propriedade  quero que venha o nome da propriedade la na lista de pseudo produtores quando vou fazer o pedido
			$nomeProdutor=strtoupper($_POST['nomeProdutor']);
			if($controle=='FAZENDA')$nomeProdutor=strtoupper($_POST['nomePropriedade']);
            $user = new produtores(array(
                'nome_produtor'=>$nomeProdutor,
                'nome_propriedade'=>strtoupper($_POST['nomePropriedade']),
                'prd_endereco'=>strtoupper($_POST['endereco']),
                'prd_cpf'=>$_POST['cpf'],
                'prd_telefone'=>$_POST['telefone'],
                'prd_localidade'=>strtoupper($_POST['localidade']),
                'prd_municipio'=>strtoupper($_POST['municipio']),
				'prd_produtor_ou_fazenda'=>$controle,
				'prd_observacao'=>$_POST['observacao'],
                'id_cliente'=>$idCliente,
            ));
			
			
            //aqui confere para ver se ja tem o email mas poderia testar outras coisas para evitar 
			//duplicação mas pode ter duplicado pois 2 lab s podem analisar par ao memso remetente

			//echo("============duplicado = $duplicado idCliente=$idCliente<br>");
            if ($duplicado!=TRUE):
                 $user->inserir($user);
                 $jaco=$user->linhasafetadas;//aqui ele ja me traz o id do cliente. pode ser que eu va precisar isso!!!!
			     //echo("duplicado = $duplicado  jaco=$jaco <br>");
                if ($user->linhasafetadas>0):
                    printMSG('Dados inseridos com sucesso. <a href="?m=produtores&t=listarProdutores">Exibir cadastros</a>',erro);
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       nome:{required:true, minlength:3},
                       email:{required:true, email:true},
                       login:{required:true, minlength:5},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro(Cadastre algns dados, depois complete na tela EDITAR)</legend>
                    <table>
					<?php
					//POSSO cadastras produtor ou fazenda mas nao devo mostrar campos se vou cadastrar fazenda
					if($controle=='PRODUTOR'):
					?>
					<tr>
					<td>Nome Produtor:</td>
					<td><input type="text" size="50" name="nomeProdutor" maxlength="60"    autofocus="autofocus" value="<?php if($resbd) echo $resbd->nome_produtor; ?>" /></td>
					<td>CPF:</td>
					<td><input type="text" size="30" name="cpf" maxlength="45"    value="<?php if($resbd) echo $resbd->prd_cpf; ?>" /></td>
					</tr>
					<tr>
					<td>Endereco:</td>
					<td><input type="text" size="50" name="endereco" maxlength="60"    value="<?php if($resbd) echo $resbd->prd_endereco; ?>" /></td>
					<td>Localidade:</td>
					<td><input type="text" size="20" name="localidade" maxlength="80"    value="<?php if($resbd) echo $resbd->prd_localidade; ?>" /></td>
					</tr>
                    <?php
					endif;
					?>					
					<tr>
					<td>Propriedade:</td>
					<td><input type="text" size="50" name="nomePropriedade" maxlength="60"     value="<?php if($resbd) echo $resbd->nome_propriedade; ?>" /></td>
					<td>Telefone:</td>
					<td><input type="text" size="20" name="telefone" maxlength="20"    value="<?php if($resbd) echo $resbd->prd_telefone; ?>" /></td>
					</tr>
					<tr>
					<td>Município:</td>
					<td><input type="text" size="50" name="municipio" maxlength="60"     value="<?php if($resbd) echo $resbd->prd_municipio; ?>" /></td>
					</tr>

					</table>
                    <table>   
					<tr>
					<td>Observação:</td>
					<td><input type="text" size="100" name="observacao" maxlength="250"     value="<?php if($resbd) echo $resbd->prd_observacao; ?>" /></td>
					</tr>

					</table>




	                <ul>


                    <li class="center"><input type="button" onclick="location.href='?m=produtores&t=listarProdutores'" value="Cancelar" />
					<input type="submit" name="cadastrar" value="Salvar dados" /></li>
                    </ul>
            </fieldset>

        </form>
        <?php
        break;


    case 'listarClientes':
	    $sessao->setVar('controle','PRODUTOR');//eu entro aqui pelo sidebar clicando CADASTRO DE PRODUTOR
        echo '<h2>'.$rotuloCliente.' cadastrados</h2>';
        echo '<h4>Obs: A lista de ' .$rotuloProdutor.' está associada ao ' .$rotuloCliente.' que for selecionado.Selecione agora um ' . $rotuloCliente.'</h4>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
		
		
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Ações</th><th>Email</th><th>Login</th><th>Cadastro</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new clientes();
				$user->extras_select = "WHERE pesquisa='".$tipopesquisa."' and id_lab=$idLabo order by nome ";

                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->nome);
                    printf('<td class="center"> <a href="?m=produtores&t=listarProdutores&id=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$res->id,$res->id);
                    printf('<td>%s</td>',$res->email);
                    printf('<td>%s</td>',$res->login);
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->datacad)));
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
    break;

    case 'listarClientesFazendas':
		$sessao->setVar('controle','FAZENDA');//eu entro aqui pelo sidebar clicando CADASTRO DE FAZENDAS
        echo '<h2>'.$rotuloCliente.' cadastrados</h2>';
        echo '<h4>Obs: A lista de FAZENDAS está associada ao cliente que for selecionado.Selecione agora um cliente.</h4>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome solicitante</th><th>Ações</th><th>Email</th><th>Login</th><th>Cadastro</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new clientes();
				$user->extras_select = "WHERE  id_lab=$idLabo order by nome ";

                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->nome);
                    printf('<td class="center"> <a href="?m=produtores&t=listarProdutores&id=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$res->id,$res->id);
                    printf('<td>%s</td>',$res->email);
                    printf('<td>%s</td>',$res->login);
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->datacad)));
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
    break;






    case 'listarProdutores':
	    $controle=$sessao->getVar('controle');
         if (isset($_GET['id'])):
                $idCliente = $_GET['id'];
               //if (isset($_POST['editar'])):
				$sessao->setVar('idCliente', $idCliente);
         endif;
		 if($nivel=='PRODUTOR'):
		  $idCliente=$sessao->getVar('idCliente');
		  //echo("xxxxxxxxxidcliente= $idCliente<br>"); 
		  $rotuloProdutor="PRODUTOR";
		endif;
		 
		 
		 
		 
		 //se ele esta vindo da tela de clientes ele ja tem a id do cliente
		 $idCliente=$sessao->getVar('idCliente');

        if(isset($_POST['bt_novoProdutor'])):
		   echo("salva novo produtor vinculado a este cliente.");
            $novoDeful="novo produtor";
			if($controle=='FAZENDA'):
			    $nomeProdutor=strtoupper($_POST['nomePropriedade']);
                $novoDeful="Nova Fazenda"; 
			endif;
			
			
			
			$user = new produtores(array(
                'nome_produtor'=>$novoDeful,
                'prd_produtor_ou_fazenda'=>$controle,
                'id_cliente'=>$idCliente,
            ));
                $user->inserir($user);
                 $jaco=$user->linhasafetadas;//aqui ele ja me traz o id do cliente. pode ser que eu va precisar isso!!!!
			     //echo("duplicado = $duplicado  jaco=$jaco <br>");
                if ($user->linhasafetadas>0):
                    printMSG('Dados inseridos com sucesso. <a href="?m=produtores&t=listarProdutores">Exibir cadastros</a>',erro);
                    unset($_POST);
                endif;


		   
		   
		   
		endif;




        //echo("iiiiiiiiiiiiiiiiiiiiid do cliente selecionado= $idCliente  <br>");





		if($idCliente<1)
		{
		 	 $idCliente= $sessao->getVar('idCliente');//grava a ida do cliente na sessao
        }
        //captura o nome do cliente selecionado
        $user = new clientes();
		$user->extras_select = "WHERE id=".$idCliente;
        $user->selecionaTudo($user);
        $res = $user->retornaDados();
		$nomeCliente=$res->nome;

 
        echo '<h2>'.$rotuloProdutor. '(s) cadastrado(s)</h2>';
        echo '<h4>Obs: Esta lista de '. $rotuloProdutor.' , está associada ao '. $rotuloCliente. ' '. $nomeCliente.'</h4>';



        //echo("iiiiiiiiiiiiiiiaqui deve vir 35iiiiiid do cliente selecionado= $idCliente  <br>");
		
	//verifica quantos produtores tem
    $user = new produtores();
	$user->extras_select = "WHERE id_cliente=$idCliente order by nome_produtor ";
    $user->selecionaTudo($user);
	$contaProdutores=0;
    while ($res = $user->retornaDados()):
	$contaProdutores++;
    endwhile; 
	
    if($contaProdutores==0)
	{
	
      echo"Atenção:O " ,$rotuloCliente." selecionado, não tem ".$rotuloProdutor." cadastrados. Se quiser cadastrar um, então clique em LINK NOVO $controle<br>";
      ?>
	   <form class="userform" method="post" action="">
      <input type="submit" name="bt_novoProdutor" value="NovoProdutor";	 />	
	  </form>
      <?php	
	  /*  
	  $controle='PRODUTOR';
	  if($controle=='PRODUTOR')printMsg('<td class="center"> 	<a href="?m=produtores&t=incluir&id=%s" title="Novo cadastro"> LINK NOVO PRODUTOR </a>	',$idCliente);
	  if($controle=='FAZENDA')printf('<td class="center"> 	<a href="?m=produtores&t=incluir&id=%s" title="Novo cadastro"> LINK NOVA FAZENDA </a>	',$idCliente);
*/


		}		
		else 
		{
	        loadCSS('data-table',NULL,TRUE);
	        loadJS('jquery-datatable');        
	        ?>
	        <script type="text/javascript">
	            $(document).ready(function(){
	               $("#listausers").dataTable({
	                "oLanguage": {
	                    "sZeroRecords": "Nenhum dado econtrado para exibição",
	                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
	                    "sInfoEmpty": "Nenhum registro para ser exibido",
	                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
	                    "sSearch": "Pesquisar",
	                },
	                "sScrollY": "400px",
	                "bPaginate": false,
	                "aaSorting": [[0, "asc"]] 
	               }); 
	            });
	        </script>
	        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
	            <thead>
	                <tr>
	                    <th>Nome </th><th>Localidade</th><th>Município</th><th>Propriedadex(9)</th><th>Status</th>
	                </tr>
	            </thead>
	            <tbody>
				
	                <?php 
	                $user = new produtores();
					$user->extras_select = "WHERE prd_produtor_ou_fazenda='".$rotuloProdutor."' and id_cliente=$idCliente order by nome_produtor ";

	                $user->selecionaTudo($user);
					$contaProdutores=0;
	                while ($res = $user->retornaDados()):
	    				$contaProdutores++;
	                    echo '<tr>';
	                    printf('<td>%s',$res->nome_produtor);
	                    printf('<a href="?m=produtores&t=incluir&id=%s" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>
						<a href="?m=produtores&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a> 
						<a href="?m=produtores&t=deletaProdutor&id=%s"  title="Deleta produtor">
				        <img src="images/delete.png" alt="Deleta produtor" />
						</td>',$idCliente,$res->id,$res->id);
	                    printf('<td>%s</td>',$res->prd_localidade);
	                    printf('<td>%s</td>',$res->prd_municipio);
	                    printf('<td>%s</td>',$res->nome_propriedade);
	                    printf('<td>%s</td>',$res->prd_status);
	                    echo '</tr>';
	                endwhile; 
					//acho que preciso colocar um form
					//se nao tem nenhum produtor vinculado ao cliente ele pode criar um               
	                ?>
	            </tbody>
	        </table>
			
			<!--
			<?php if($contaProdutores==0):?>
               <input type="submit" name "bt_novoProdutor" value="NovoProdutor";			
			<?php endif; ?>    
		
				-->
				
			<?php	
		}//testase tem mais de um produtor
		
    break;

    case 'deletaProdutor':
      if (isset($_GET['id'])):
         $id = $_GET['id']; 	
	  endif;	 
	  echo("deletar produir id=$id<br>");
	  //verifica se este produtor nao esta nalguma amostra, se estiver vai impedir
	  //ENTRA DE QUAKQUER MANEIRA para achar o ultimo
		$generica=new tabelagenerica();
		$generica->tabela="amostra,produtor";
		$generica->campos_valores = array(
				"numero" => NULL,
				"batizado" => NULL,
				"am_id_produtor" => NULL,
				"nome_produtor" => NULL,
			);
		$generica->extras_select ="  where am_id_produtor=produtor.id and produtor.id =".$id;
	    $generica->selecionaCampos($generica);
        $contador=0;  
		while ($resgenerica = $generica->retornaDados()):
			$contador++;
            $amostra=$resgenerica->numero;
            $nomeProdutor=$resgenerica->nome_produtor;
            $batizado=$resgenerica->batizado;
       endwhile;    
       if($contador>0):
	      printMSG($nomeProdutor . ' tem amostra ' . $amostra . $batizado . ' não pode deletar, ou entao deleta esta(s) amostra(s)!','alerta');  
	   else:
	     //aqui vai deletar
	  	 $sql="delete from produtor where id=".$id;
         $userNota = new generica();
         $userNota->campos_valores = $sql;				 
		 $userNota->inserirEspecial($userNota);
         printMSG(' deletou produtor!',aviso);  
	   endif;
	break;




    case 'editar':
        echo '<h2>Edição de '.$rotuloProdutor. '</h2>';
        $sessao = new sessao();
		if($nivel=='PRODUTOR'):
		  $idCliente=$sessao->getVar('idCliente');
		  //echo("vvvvvvvvvvvidcliente= $idCliente<br>"); 
		endif;
		
		
		
		
		
        if (isAdmin()==TRUE || $sessao->getVar('iduser')==$_GET['id'] || $nivel=='PRODUTOR'):
            if (isset($_GET['id'])):
                $id = $_GET['id'];
				
                if (isset($_POST['editar'])):
                    $user = new produtores(array(
                        'nome_produtor'=>strtoupper($_POST['nomeProdutor']),
                        'nome_propriedade'=>strtoupper($_POST['nomePropriedade']),
                        'prd_endereco'=>strtoupper($_POST['endereco']),
                        'prd_cpf'=>$_POST['cpf'],
                        'prd_telefone'=>$_POST['telefone'],
                        'prd_localidade'=>strtoupper($_POST['localidade']),
                        'prd_municipio'=>strtoupper($_POST['municipio']),
                        'prd_observacao'=>$_POST['observacao'],
                        'prd_status'=>$_POST['status'],
                    ));
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE id=$id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    if ($res->nome_produtor != $_POST['nomeProdutor']):
                        if ($user->existeRegistro('nome_produtor',$_POST['nomeProdutor'])):
                            printMSG('Este email já existe no sistema, escolha outro endereço!','erro');
                            $duplicado = TRUE;
                        endif;
                    endif;
                    if ($duplicado!=TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. <a href="?m=produtores&t=listarProdutores">Exibir cadastros</a>',aviso);
							
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado! <a href="?m=produtores&t=listar">Exibir cadastros</a>',erro);
                        endif;
                    endif;                    
                endif;//fim do botao editar






                //aqui o botao cambiar
                    if (isset($_POST['cambiar'])):
                    $user = new produtores(array(
                        'prd_produtor_ou_fazenda'=>'FAZENDA',
                    ));
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE id=$id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    if ($res->nome_produtor != $_POST['nomeProdutor']):
                        if ($user->existeRegistro('nome_produtor',$_POST['nomeProdutor'])):
                            printMSG('Este email já existe no sistema, escolha outro endereço!','erro');
                            $duplicado = TRUE;
                        endif;
                    endif;
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. <a href="?m=produtores&t=listarProdutores">Exibir cadastros</a>',erro);
							
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. <a href="?m=produtores&t=listar">Exibir cadastros</a>',aviso);
                        endif;
                endif;////fim do botao cambiar
				
				
				
                $userbd = new produtores();
                $userbd->extras_select = "WHERE id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('cliente não definido, <a href="?m=produtores&t=listar">escolha um cliente para alterar</a>','erro');
            endif;



            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           email:{required:true, email:true},
                           municipio:{required:true, minlength:3},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <table>
					<tr>
					<td>Nome Produtor:</td>
					<td><input type="text" size="50" name="nomeProdutor" maxlength="60"    autofocus="autofocus" value="<?php if($resbd) echo $resbd->nome_produtor; ?>" /></td>
					<td>CPF:</td>
					<td><input type="text" size="30" name="cpf" maxlength="45"    value="<?php if($resbd) echo $resbd->prd_cpf; ?>" /></td>
					</tr>
					<tr>
					<td>Endereco:</td>
					<td><input type="text" size="50" name="endereco" maxlength="60"    value="<?php if($resbd) echo $resbd->prd_endereco; ?>" /></td>
					<td>Localidade:</td>
					<td><input type="text" size="20" name="localidade" maxlength="80"    value="<?php if($resbd) echo $resbd->prd_localidade; ?>" /></td>
					</tr>
					<tr>
					<td>Propriedade:</td>
					<td><input type="text" size="50" name="nomePropriedade" maxlength="60"     value="<?php if($resbd) echo $resbd->nome_propriedade; ?>" /></td>
					<td>Telefone:</td>
					<td><input type="text" size="20" name="telefone" maxlength="20"    value="<?php if($resbd) echo $resbd->prd_telefone; ?>" /></td>
					</tr>
					<tr>
					<td>Município:</td>
					<td><input type="text" size="50" name="municipio" maxlength="60"     value="<?php if($resbd) echo $resbd->prd_municipio; ?>" /></td>
					<td>Status:</td>
					<td><input type="text" size="10" name="status" maxlength="10"     value="<?php if($resbd) echo $resbd->prd_status; ?>" /></td>
					</tr>
					</table>
                 <table>   
					<tr>
					<td>Observação:</td>
					<td><input type="text" size="100" name="observacao" maxlength="250"     value="<?php if($resbd) echo $resbd->prd_observacao; ?>" /></td>
					</tr>

					</table>

                    <ul>
                    <li class="center">
					<input type="submit" name="cambiar" value="Cambiar para Fazenda" />

					<input type="button" onclick="location.href='?m=produtores&t=listarProdutores'" value="Cancelar" />
					<input type="submit" name="editar" value="Salvar Alterações" />
					</li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;



    case 'excluir':
        echo '<h2>Exclusão de clientes</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE):
            if (isset($_GET['id'])):
                $id = $_GET['id'];
                if (isset($_POST['excluir'])):
                    $user = new clientes();
                    $user->valorpk = $id;
                    $user->deletar($user);
                    if ($user->linhasafetadas==1):
                        printMSG('Registro excluído com sucesso. <a href="?m=produtores&t=listar">Exibir cadastros</a>',erro);
                        unset($_POST);
                    else:
                        printMSG('Nenhum registro foi excluído. <a href="?m=produtores&t=listar">Exibir cadastros</a>','alerta');
                    endif;                   
                endif;
                $userbd = new clientes();
                $userbd->extras_select = "WHERE id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('cliente não definido, <a href="?m=produtores&t=listar">escolha um cliente para excluir</a>','erro');
            endif;
            ?>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Confira os dados para exclusão</legend>
                    <ul>
                        <li><label for="nome">Nome:</label>
                        <input type="text" disabled="disabled" size="50" name="nome" value="<?php if($resbd) echo $resbd->nome; ?>" /></li>
                        <li><label for="email">Email:</label>
                        <input type="text" disabled="disabled" size="50" name="email" value="<?php if($resbd) echo $resbd->email; ?>" /></li>
                        <li><label for="login">Login:</label>
                        <input type="text" disabled="disabled" size="35" name="login" value="<?php if($resbd) echo $resbd->login; ?>" /></li>
                        <li><label for="ativo">Ativo:</label>
                        <input type="checkbox" disabled="disabled" name="ativo" <?php if($resbd->ativo == 's') echo 'checked="checked"'; ?> /> habilitar ou desabilitar o cliente</li>
                        <li><label for="adm">Administrador:</label>
                        <input type="checkbox" disabled="disabled" name="adm" <?php if($resbd->administrador == 's') echo 'checked="checked"'; ?> /> dar controle total ao cliente</li>
                        <li class="center"><input type="button" onclick="location.href='?m=produtores&t=listar'" value="Cancelar" /><input type="submit" name="excluir" value="Confirmar Exclusão" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>